#!/usr/bin/env python
# -*- coding: utf-8 -*-
# StartFensterGroesseApp.py
## © Claus Albowski

## Importe:
import platform
versionsNummer=platform.python_version()[0]
if versionsNummer=='3': from tkinter import *
else: from Tkinter import *
from grafikFenster import *
from modellfenster import *

root = Tk()
groesseDialog = N_EingabenDialog(root,
                                 'Geben Sie die Groesse vor',
                                 [u'Breite',u'Höhe'],
                                 [800,800])
if groesseDialog.result==None:
    zeichenflaechenBreite=800
    zeichenflaechenHoehe=800
else:
    try:
        zeichenflaechenBreite=int(groesseDialog.result[0])
        zeichenflaechenHoehe=int(groesseDialog.result[1])
    except ValueError as e:
        zeichenflaechenBreite=800
        zeichenflaechenHoehe=800            
        
modell_Fenster = ModellFensterApplication(root,
                                          zeichenflaechenBreite,
                                          zeichenflaechenHoehe)
modell_Fenster.master.title('Entwicklung Simulation')
grafik_Fenster=GrafikFenster(modell_Fenster)
modell_Fenster.mainloop()
try:
    grafik_Fenster.destroy()
    root.destroy()
except Exception: pass
